Page MenuHomePhabricator

A13. <*-thanked> in French requires the gender of the thanked user
Closed, ResolvedPublic1 Story Points

Description

Reported by Vatadoshu at Wikipédia:Flow/Bugs.


The two messages <thanks-thanked> and <thanks-button-thanked> are only given the name of the current user, but the French translation (“remercié” or “remerciée”) depends on the gender of the thanked user.

This is done from javascript, so likely the api calls need to return information about the gender of the user, or make a second api call (https://www.mediawiki.org/wiki/API:Users). Can probably do the two api calls in parallel

Event Timeline

Ltrlg created this task.Apr 19 2015, 8:56 PM
Ltrlg raised the priority of this task from to Needs Triage.
Ltrlg updated the task description. (Show Details)
Ltrlg added projects: I18n, Thanks.
Ltrlg added a subscriber: Ltrlg.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 19 2015, 8:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBernhardson triaged this task as Normal priority.Apr 20 2015, 5:49 PM
EBernhardson added a subscriber: EBernhardson.

This is done from javascript, so likely the api calls need to return information about the gender of the user, or make a second api call. Can probably do the two api calls in parallel

Mattflaschen-WMF set Security to None.
Mattflaschen-WMF updated the task description. (Show Details)
DannyH edited a custom field.Apr 22 2015, 6:47 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 7:08 PM
DannyH renamed this task from <*-thanked> in French requires the gender of the thanked user to A13. <*-thanked> in French requires the gender of the thanked user.Apr 22 2015, 8:05 PM
DannyH moved this task from Current workboard to Untriaged on the Collaboration-Team-Triage board.

Change 206013 had a related patch set uploaded (by Mooeypoo):
Check the thanked user gender for Thanks messages

https://gerrit.wikimedia.org/r/206013

Mooeypoo added a subscriber: MSchottlender-WMF.
Elitre added a subscriber: Elitre.May 4 2015, 2:36 PM

Change 206013 merged by jenkins-bot:
Check the thanked user's gender for Thanks messages

https://gerrit.wikimedia.org/r/206013

Change 208900 had a related patch set uploaded (by Mattflaschen):
Further document Thanks gender (both en and qqq), and fix bug

https://gerrit.wikimedia.org/r/208900

@Mooeypoo, I missed the above (208900) in code review, so I decided to fix that part myself.

Note there's a bug, not just the documentation, so the fix needs to make the branch cut. Also, this should ensure the messages are all marked as outdated so translators know they can update them should they choose.

Also, flow-thank-link (and probably flow-thank-link-title) also needs to be updated.

Change 208900 merged by jenkins-bot:
Further document Thanks gender (both en and qqq), and fix bug

https://gerrit.wikimedia.org/r/208900

Change 209624 had a related patch set uploaded (by Mooeypoo):
Adjust the flow-thank* messages to use recipient gender

https://gerrit.wikimedia.org/r/209624

Change 209624 merged by jenkins-bot:
Adjust the flow-thank* messages to use recipient gender

https://gerrit.wikimedia.org/r/209624

There's one case where this doesn't work (posts that start a topic). I'll take care of fixing it to handle that.

Change 210839 had a related patch set uploaded (by Mooeypoo):
Use PostCollection in thankAction to get the author gender

https://gerrit.wikimedia.org/r/210839

Change 210839 merged by jenkins-bot:
Use PostCollection in thankAction to get the author gender

https://gerrit.wikimedia.org/r/210839

There is another bug: T99662 Changing User preferences does not get reflected in "Thanked"(French)

DannyH closed this task as Resolved.May 19 2015, 8:20 PM
DannyH added a subscriber: DannyH.